unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

Type TOsoba = record
			meno,priezvisko:string[20];
			vek,pocetDeti:integer;
			triednictvo:boolean;
end;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    CheckBox1: TCheckBox;
    btnPrvy: TButton;
    btnPredosly: TButton;
    btnDalsi: TButton;
    btnPosledny: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label5: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    chbTriednictvo: TCheckBox;
    Edit3: TEdit;
    Edit4: TEdit;
    btnMazat: TButton;
    btnPridat: TButton;
    lblPozicia: TLabel;
    Label14: TLabel;
    btnUloz: TButton;
    btnOtvor: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btnPridatClick(Sender: TObject);
    procedure Zobraz(aktualnaPozicia:integer);
    procedure btnPoslednyClick(Sender: TObject);
    procedure btnPrvyClick(Sender: TObject);
    procedure btnPredoslyClick(Sender: TObject);
    procedure btnDalsiClick(Sender: TObject);
    procedure btnMazatClick(Sender: TObject);
    procedure btnUlozClick(Sender: TObject);
    procedure btnOtvorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    ludia:array[1..20] of TOsoba;
    pocet,aktualnaPozicia:integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
 pocet:=0;
 aktualnaPozicia:=0;
end;

procedure TForm1.btnPridatClick(Sender: TObject);
begin
 inc(pocet); // zvysim pocet poloziek a do poslednej vlozim hodnoty
 ludia[pocet].meno:=Edit1.Text;
 ludia[pocet].priezvisko:=Edit2.Text;
 ludia[pocet].vek:=StrToInt(Edit3.Text);
 ludia[pocet].pocetDeti:=StrToInt(Edit4.Text);
 ludia[pocet].triednictvo:=chbTriednictvo.Checked;
 // skocim nan v zozname - bol pridany ako posledny,
 // zavolam rovnaku proceduru, aka sa odohra pri klinuti
 // na tlacidlo posledny
 btnPoslednyClick(nil);
end;

procedure TForm1.Zobraz(aktualnaPozicia:integer);

begin
 lblPozicia.Caption:=IntToStr(aktualnaPozicia);
 Label1.Caption:=ludia[aktualnapozicia].meno;
 Label2.Caption:=ludia[aktualnapozicia].priezvisko;
 Label3.Caption:=IntToStr(ludia[aktualnapozicia].vek);
 Label4.Caption:=IntToStr(ludia[aktualnapozicia].pocetDeti);
 CheckBox1.Checked:=ludia[aktualnapozicia].triednictvo;
end;


procedure TForm1.btnPrvyClick(Sender: TObject);
begin
 aktualnaPozicia:=1; // nastavi sa na prvy zaznam
 Zobraz(aktualnaPozicia);
end;

procedure TForm1.btnPoslednyClick(Sender: TObject);
begin
 aktualnaPozicia:=pocet; // nastavi sa na posledny zaznam
 Zobraz(aktualnaPozicia);
end;


procedure TForm1.btnPredoslyClick(Sender: TObject);
begin
 if aktualnaPozicia>1 then dec(aktualnaPozicia);
 Zobraz(aktualnaPozicia);
end;

procedure TForm1.btnDalsiClick(Sender: TObject);
begin
 if aktualnaPozicia<pocet then inc(aktualnaPozicia);
 Zobraz(aktualnaPozicia);
end;

procedure TForm1.btnMazatClick(Sender: TObject);
var i:integer;

begin
 dec(pocet);
 for i:=aktualnaPozicia to pocet do
  ludia[i]:=ludia[i+1];
 Zobraz(aktualnaPozicia);
end;

procedure TForm1.btnUlozClick(Sender: TObject);
var subor:file of TOsoba;
    i:integer;

begin
 AssignFile(subor,'zaznamy.txt');
 rewrite(subor);
 for i:=1 to pocet do write(subor,ludia[i]);
 closefile(subor);
end;

procedure TForm1.btnOtvorClick(Sender: TObject);
var subor:file of TOsoba;

begin
 pocet:=0;
 AssignFile(subor,'zaznamy.txt');
 reset(subor);
 while not EOF(subor) do begin
  inc(pocet);
  read(subor,ludia[pocet]);
 end;
 closefile(subor);
end;

end.
